This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 190243 - Review Request: scim-bridge (gtkimm module in C)
Review Request: scim-bridge (gtkimm module in C)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Package Reviews List
: i18n
Depends On:
Blocks: 171491 FE-ACCEPT SCIM
  Show dependency treegraph
 
Reported: 2006-04-29 00:53 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 03:54:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-04-29 00:53:08 EDT
Spec URL: http://people.redhat.com/petersen/extras/scim-bridge.spec
SRPM URL: http://people.redhat.com/petersen/extras/scim-bridge-0.1.6-15.src.rpm
Description:
SCIM Bridge is an alternative Gtk Input Method module for SCIM
implemented in C (ie it does not depend on libscim and libstdc++)
to avoid libstdc++ symbol ABI conflicts.
Comment 1 UTUMI Hirosi 2006-05-10 02:42:32 EDT
1. scim-bridge-0.1.7 is released.
It's there.
http://sourceforge.net/project/showfiles.php?group_id=108454&package_id=185651

2. Source1 doesn't have entries for QT_IM_MODULE and XMODIFIERS.
$ leafpad xinput-scim-bridge
//
GTK_IM_MODULE=scim-bridge
+ QT_IM_MODULE=scim
+ XMODIFIERS=@im=SCIM
//

3. scim-bridge doesn't lead scim and scim-qtimm.
We need to add some Requires.
$ leafpad scim-bridge.spec
//
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
+ Requires:	scim scim-qtimm
BuildRequires:	scim-devel
//

I checked them on Mandriva Cooker. I can't test your package on FC5 now.
Comment 2 Jens Petersen 2006-05-10 18:10:03 EDT
Utumi-san, thanks for your comments.

(In reply to comment #1)
> 1. scim-bridge-0.1.7 is released.
> It's there.
> http://sourceforge.net/project/showfiles.php?group_id=108454&package_id=185651

Thanks for the reminder.

> 2. Source1 doesn't have entries for QT_IM_MODULE and XMODIFIERS.
> $ leafpad xinput-scim-bridge
> //
> GTK_IM_MODULE=scim-bridge
> + QT_IM_MODULE=scim
> + XMODIFIERS=@im=SCIM
> //

This is intentional since those are taken care of by the scim xinput file.

> 3. scim-bridge doesn't lead scim and scim-qtimm.
> We need to add some Requires.
> $ leafpad scim-bridge.spec
> //
> BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
> + Requires:	scim scim-qtimm
> BuildRequires:	scim-devel
> //

Ok, I'm adding requires scim, but I don't think scim-bridge should require
scim-qtimm.
Comment 3 Jens Petersen 2006-05-15 07:00:34 EDT
[hmm thought I already posted this here:]

http://people.redhat.com/petersen/extras/scim-bridge-0.1.7-1.src.rpm
Comment 5 Warren Togami 2006-05-22 13:10:02 EDT
It has a few bugs, but the package itself is fine.

APPROVED.  Don't forget to toggle the C++ boolean before building in FC-5. 
After branching, remove all files from the devel directory and add a
dead.package file. 
Comment 6 Jens Petersen 2006-05-30 03:54:32 EDT
Thanks.  FE devel packages built, branches requested, and added to owners list.
Comment 7 Jens Petersen 2006-06-01 23:26:38 EDT
FE4 and FE5 packages have also been built.

Note You need to log in before you can comment on or make changes to this bug.